public static final class Http.Builder extends GeneratedMessage.Builder<Http.Builder> implements HttpOrBuilderSpecify the full URL of the HTTP request within "target". Also specify any uploaded or downloaded file information within "source" or "target".
Protobuf type google.backstory.Http
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > Http.BuilderImplements
HttpOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
build()
public Http build()| Returns | |
|---|---|
| Type | Description |
Http |
|
buildPartial()
public Http buildPartial()| Returns | |
|---|---|
| Type | Description |
Http |
|
clear()
public Http.Builder clear()| Returns | |
|---|---|
| Type | Description |
Http.Builder |
|
clearMethod()
public Http.Builder clearMethod()The HTTP request method (e.g. "GET", "POST", "PATCH", "DELETE").
string method = 1;
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
This builder for chaining. |
clearReferralUrl()
public Http.Builder clearReferralUrl()The URL for the HTTP referer.
string referral_url = 2;
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
This builder for chaining. |
clearResponseCode()
public Http.Builder clearResponseCode()The response status code, for example 200, 302, 404, or 500.
int32 response_code = 4;
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
This builder for chaining. |
clearUserAgent()
public Http.Builder clearUserAgent()The User-Agent request header which includes the application type, operating system, software vendor or software version of the requesting software user agent.
string user_agent = 3;
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
This builder for chaining. |
getDefaultInstanceForType()
public Http getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
Http |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getMethod()
public String getMethod()The HTTP request method (e.g. "GET", "POST", "PATCH", "DELETE").
string method = 1;
| Returns | |
|---|---|
| Type | Description |
String |
The method. |
getMethodBytes()
public ByteString getMethodBytes()The HTTP request method (e.g. "GET", "POST", "PATCH", "DELETE").
string method = 1;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for method. |
getReferralUrl()
public String getReferralUrl()The URL for the HTTP referer.
string referral_url = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The referralUrl. |
getReferralUrlBytes()
public ByteString getReferralUrlBytes()The URL for the HTTP referer.
string referral_url = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for referralUrl. |
getResponseCode()
public int getResponseCode()The response status code, for example 200, 302, 404, or 500.
int32 response_code = 4;
| Returns | |
|---|---|
| Type | Description |
int |
The responseCode. |
getUserAgent()
public String getUserAgent()The User-Agent request header which includes the application type, operating system, software vendor or software version of the requesting software user agent.
string user_agent = 3;
| Returns | |
|---|---|
| Type | Description |
String |
The userAgent. |
getUserAgentBytes()
public ByteString getUserAgentBytes()The User-Agent request header which includes the application type, operating system, software vendor or software version of the requesting software user agent.
string user_agent = 3;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for userAgent. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(Http other)
public Http.Builder mergeFrom(Http other)| Parameter | |
|---|---|
| Name | Description |
other |
Http |
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public Http.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public Http.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
|
setMethod(String value)
public Http.Builder setMethod(String value)The HTTP request method (e.g. "GET", "POST", "PATCH", "DELETE").
string method = 1;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe method to set. |
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
This builder for chaining. |
setMethodBytes(ByteString value)
public Http.Builder setMethodBytes(ByteString value)The HTTP request method (e.g. "GET", "POST", "PATCH", "DELETE").
string method = 1;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for method to set. |
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
This builder for chaining. |
setReferralUrl(String value)
public Http.Builder setReferralUrl(String value)The URL for the HTTP referer.
string referral_url = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe referralUrl to set. |
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
This builder for chaining. |
setReferralUrlBytes(ByteString value)
public Http.Builder setReferralUrlBytes(ByteString value)The URL for the HTTP referer.
string referral_url = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for referralUrl to set. |
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
This builder for chaining. |
setResponseCode(int value)
public Http.Builder setResponseCode(int value)The response status code, for example 200, 302, 404, or 500.
int32 response_code = 4;
| Parameter | |
|---|---|
| Name | Description |
value |
intThe responseCode to set. |
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
This builder for chaining. |
setUserAgent(String value)
public Http.Builder setUserAgent(String value)The User-Agent request header which includes the application type, operating system, software vendor or software version of the requesting software user agent.
string user_agent = 3;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe userAgent to set. |
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
This builder for chaining. |
setUserAgentBytes(ByteString value)
public Http.Builder setUserAgentBytes(ByteString value)The User-Agent request header which includes the application type, operating system, software vendor or software version of the requesting software user agent.
string user_agent = 3;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for userAgent to set. |
| Returns | |
|---|---|
| Type | Description |
Http.Builder |
This builder for chaining. |